diff -crN nakedmudv1.0/.depend nakedmudv1.4/.depend
*** nakedmudv1.0/.depend	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/.depend	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,182 ----
+ gameloop.o: gameloop.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h world.h character.h object.h utils.h text_editor.h \
+   save.h handler.h inform.h log.h races.h action.h event.h auxiliary.h \
+   storage.h time/mudtime.h scripts/script.h olc/olc.h alias/alias.h \
+   char_vars/char_vars.h socials/socials.h fight/fight.h
+ mud.o: mud.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h storage.h
+ utils.o: utils.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h object.h world.h zone.h room.h exit.h socket.h \
+   utils.h text_editor.h save.h handler.h inform.h dialog.h event.h \
+   action.h help.h fight/stats.h fight/fight.h scripts/script.h
+ interpret.o: interpret.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h character.h socket.h room.h \
+   movement.h commands.h action.h scripts/script.h alias/alias.h
+ handler.o: handler.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h handler.h room.h exit.h extra_descs.h character.h object.h \
+   utils.h text_editor.h body.h items.h inform.h scripts/script.h
+ inform.o: inform.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h object.h world.h room.h exit.h extra_descs.h \
+   utils.h text_editor.h body.h races.h items.h handler.h socket.h \
+   inform.h log.h time/mudtime.h
+ movement.o: movement.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h world.h room.h exit.h movement.h handler.h \
+   inform.h builder.h utils.h text_editor.h items.h object.h \
+   scripts/script.h
+ action.o: action.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h character.h action.h
+ mccp.o: mccp.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h utils.h text_editor.h
+ save.o: save.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h world.h utils.h text_editor.h handler.h body.h \
+   object.h room.h storage.h
+ socket.o: socket.c wrapsock.h mud.h property_table.h list.h hashmap.h \
+   hashtable.h character.h utils.h text_editor.h socket.h olc/olc.h
+ io.o: io.c mud.h wrapsock.h property_table.h list.h hashmap.h hashtable.h \
+   utils.h text_editor.h
+ strings.o: strings.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h
+ event.o: event.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h character.h event.h
+ cmd_comm.o: cmd_comm.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h handler.h inform.h character.h \
+   world.h dialog.h scripts/script.h
+ cmd_manip.o: cmd_manip.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h handler.h inform.h \
+   character.h items.h exit.h world.h room.h extra_descs.h object.h
+ cmd_misc.o: cmd_misc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h socket.h utils.h text_editor.h save.h event.h \
+   handler.h
+ text_editor.o: text_editor.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h socket.h text_editor.h utils.h scripts/script.h \
+   olc/olc.h
+ builder.o: builder.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h world.h zone.h room.h exit.h movement.h builder.h \
+   character.h object.h handler.h inform.h utils.h text_editor.h races.h \
+   items.h dialog.h scripts/script.h scripts/script_set.h
+ admin.o: admin.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h world.h inform.h character.h handler.h utils.h \
+   text_editor.h log.h socket.h save.h event.h action.h storage.h
+ help.o: help.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h help.h
+ items.o: items.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h object.h items.h
+ races.o: races.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h races.h body.h utils.h text_editor.h
+ log.o: log.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h character.h storage.h log.h
+ auxiliary.o: auxiliary.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h storage.h auxiliary.h
+ world.o: world.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h zone.h room.h character.h object.h dialog.h utils.h \
+   text_editor.h storage.h world.h scripts/script.h
+ character.o: character.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h body.h races.h handler.h \
+   auxiliary.h storage.h room.h character.h
+ room.o: room.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h exit.h extra_descs.h utils.h text_editor.h handler.h \
+   character.h auxiliary.h storage.h room_reset.h room.h scripts/script.h
+ exit.o: exit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h storage.h exit.h
+ extra_descs.o: extra_descs.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h storage.h extra_descs.h
+ object.o: object.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h extra_descs.h utils.h text_editor.h items.h body.h \
+   handler.h storage.h auxiliary.h object.h
+ body.o: body.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h body.h utils.h text_editor.h
+ zone.o: zone.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h storage.h object.h character.h room.h zone.h utils.h \
+   text_editor.h dialog.h scripts/script.h
+ dialog.o: dialog.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h dialog.h storage.h
+ room_reset.o: room_reset.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h storage.h room.h world.h \
+   character.h body.h object.h exit.h handler.h items.h room_reset.h
+ list.o: list.c list.h
+ property_table.o: property_table.c mud.h wrapsock.h property_table.h \
+   list.h hashmap.h hashtable.h utils.h text_editor.h
+ hashtable.o: hashtable.c list.h hashtable.h
+ hashmap.o: hashmap.c list.h hashmap.h
+ storage.o: storage.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h storage.h
+ time.o: time/time.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h inform.h character.h room.h event.h \
+   storage.h auxiliary.h time/mudtime.h
+ alias.o: alias/alias.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h auxiliary.h storage.h character.h \
+   alias/alias.h
+ char_vars.o: char_vars/char_vars.c mud.h wrapsock.h property_table.h \
+   list.h hashmap.h hashtable.h utils.h text_editor.h character.h \
+   storage.h auxiliary.h char_vars/char_vars.h
+ socials.o: socials/socials.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h storage.h handler.h \
+   inform.h character.h socials/socials.h
+ dedit.o: olc/dedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h utils.h text_editor.h dialog.h olc/olc.h
+ edesc_edit.o: olc/edesc_edit.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h socket.h utils.h text_editor.h extra_descs.h \
+   olc/olc.h
+ exedit.o: olc/exedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h exit.h socket.h utils.h text_editor.h olc/olc.h
+ medit.o: olc/medit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h world.h character.h socket.h utils.h text_editor.h races.h \
+   dialog.h olc/olc.h scripts/script_set.h scripts/script.h
+ oedit.o: olc/oedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h world.h object.h extra_descs.h socket.h utils.h \
+   text_editor.h body.h items.h olc/olc.h scripts/script_set.h \
+   scripts/script.h
+ redit.o: olc/redit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h world.h room.h exit.h room_reset.h extra_descs.h socket.h \
+   utils.h text_editor.h olc/olc.h scripts/script_set.h scripts/script.h \
+   time/mudtime.h
+ zedit.o: olc/zedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h world.h zone.h socket.h utils.h text_editor.h olc/olc.h
+ ssedit.o: olc/ssedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h world.h utils.h text_editor.h olc/olc.h \
+   scripts/script.h scripts/script_set.h
+ scedit.o: olc/scedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h utils.h text_editor.h olc/olc.h scripts/script.h
+ resedit.o: olc/resedit.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h socket.h utils.h text_editor.h world.h object.h \
+   character.h room_reset.h olc/olc.h
+ socedit.o: olc/socedit.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h socket.h utils.h text_editor.h character.h \
+   socials/socials.h olc/olc.h
+ olc.o: olc/olc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h object.h character.h world.h zone.h room.h \
+   room_reset.h exit.h extra_descs.h dialog.h olc/olc.h scripts/script.h \
+   scripts/script_set.h socials/socials.h
+ script_set.o: scripts/script_set.c mud.h wrapsock.h property_table.h \
+   list.h hashmap.h hashtable.h utils.h text_editor.h world.h \
+   scripts/script_set.h scripts/script.h
+ script.o: scripts/script.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h socket.h character.h room.h \
+   object.h storage.h auxiliary.h scripts/script.h scripts/script_set.h \
+   scripts/pychar.h scripts/pyroom.h scripts/pyobj.h scripts/pymud.h
+ pychar.o: scripts/pychar.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h world.h room.h character.h object.h items.h \
+   races.h handler.h utils.h text_editor.h scripts/script.h \
+   scripts/pychar.h scripts/pyroom.h scripts/pyobj.h char_vars/char_vars.h
+ pyobj.o: scripts/pyobj.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h world.h room.h character.h object.h races.h \
+   handler.h utils.h text_editor.h scripts/script.h scripts/pychar.h \
+   scripts/pyroom.h scripts/pyobj.h
+ pymud.o: scripts/pymud.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h scripts/script.h scripts/pyroom.h \
+   scripts/pychar.h scripts/pyobj.h
+ pyroom.o: scripts/pyroom.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h world.h room.h exit.h character.h races.h \
+   handler.h utils.h text_editor.h scripts/script.h scripts/pyroom.h \
+   scripts/pychar.h scripts/pyobj.h
+ stats.o: fight/stats.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h character.h storage.h auxiliary.h \
+   handler.h event.h fight/stats.h fight/fight.h
+ fight.o: fight/fight.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h world.h handler.h character.h \
+   inform.h event.h action.h body.h fight/fight.h fight/stats.h
+ cmd_fight.o: fight/cmd_fight.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h handler.h inform.h \
+   character.h body.h object.h fight/stats.h fight/fight.h
+ mob_fight.o: fight/mob_fight.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h fight/fight.h fight/stats.h
diff -crN nakedmudv1.0/.gdb_history nakedmudv1.4/.gdb_history
*** nakedmudv1.0/.gdb_history	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/.gdb_history	2010-11-01 15:54:18.000000000 -0500
***************
*** 1 ****
--- 1,256 ----
+ down
+ up
+ up
+ up
+ print room->auxiliary_data
+ down
+ print line
+ print data
+ info local
+ bt
+ quit
+ run
+ quit
+ run
+ bt
+ print line
+ quit
+ run
+ print line
+ quit
+ run
+ bt
+ quit
+ run
+ bt
+ down
+ up
+ up
+ up
+ up
+ print world
+ bt
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ quit
+ run
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ bt
+ qiut
+ quit
+ quit
+ run
+ bt
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ bt
+ print buflen
+ up
+ up
+ up
+ up
+ up
+ print buflen
+ print buf
+ print i
+ quit
+ run
+ quit
+ run
+ bt
+ bt
+ quit
+ run
+ bt
+ quit
+ run
+ bt
+ bt
+ print dsock->player
+ print dsock->page
+ print dsock->page_string
+ q
+ run
+ print dsock->page_string
+ print dsock->player
+ print dsock
+ bt
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ bt
+ print dsock
+ print dsock->control
+ print rFd
+ print dsock->outbuf
+ print dsock->inbuf
+ print dsock->state
+ print dsock->indent
+ quit
+ run
+ clear
+ bt
+ quit
+ run
+ bt
+ quit
+ run
+ quit
+ run
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ quit
+ run 3000
+ quit
+ run 4000
+ bt
+ bt
+ up
+ print i
+ down
+ print i
+ print num
+ up
+ up
+ up
+ bt
+ print i
+ print param
+ print one_arg
+ print arg
+ print one_arg
+ quit
+ run 3000
+ quit
+ run 4000
+ bt
+ quit
+ run 4000
+ quit
+ run 3000
+ bt
+ quit
+ run 4000
+ bt
+ quit
+ run 4000
+ quit
+ run
+ quit
+ run
+ quit
+ run
+ quit
+ bt
+ info local
+ bt
+ ls -l
+ bt
+ down
+ up
+ up
+ bt
+ quit
+ bt
+ quit
+ run
+ bt
+ up
+ print event
+ print event->owner
+ print event->data
+ print event->arg
+ print event->delay
+ print events
+ print events->size
+ print events->head->elem
+ print events->head->removed
+ print events->head->next->removed
+ print events->head->next->next->removed
+ print events->head->next->next->next->removed
+ print events->head->next->next->next->next->removed
+ print events->head->next->next->next->next->next->removed
+ print events->head->next->next->next->next->next->next->removed
+ print events->head->next->next->next->next->next->next->next->removed
+ print events->head->next->next->next->next->next->next->next->next->removed
+ quit
+ run
+ quit
+ run
+ bt
+ quit
+ run
+ print event
+ print event->owner
+ print sizeof(*event->owner)
+ bt
+ print ev_i->L->size
+ print ev_i->curr
+ print ev_i->L->head
+ print ev_i->L->head->next
+ print ev_i->L->head->next->removed
+ print ev_i->L->head->removed
+ bt
+ print event
+ print event->delay
+ print time
+ info local
+ info global
+ help info
+ info all-registers
+ man info
+ help info
+ info thread
+ info stack
+ info scope
+ info
+ quit
+ run
+ print 0x30bfa0
+ print 0x30bfa0
+ quit
+ run
+ print event
+ quit
+ run
+ quit
+ run
+ print node
+ print node->next
+ quit
+ run
+ quit
+ run
+ quit
+ run
  quit
diff -crN nakedmudv1.0/lib/misc/socials nakedmudv1.4/lib/misc/socials
*** nakedmudv1.0/lib/misc/socials	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/lib/misc/socials	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,135 ----
+ socials:=
+   cmds         : twiddle
+   to_char_notgt: You idly twiddle your thumbs.
+   to_room_notgt: $n idly twiddles $s thumbs.
+   to_char_tgt  : You reach for $N's thumbs and begin twiddling with them.
+   to_vict_tgt  : $n reaches for your thumbs and starts twiddling them.
+   to_room_tgt  : $n reaches for $N's thumbs and begins twiddling with them.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : dance
+   to_char_notgt: You do a little dance.
+   to_room_notgt: $n does a little dance.
+   to_char_self : You get down with your bad self.
+   to_room_self : $n can't find anyone else to dance with, so $e dances with $mself.
+   to_char_tgt  : You sweep $N across the dancefloor.
+   to_vict_tgt  : $n sweeps you across the dancefloor! How romantic!
+   to_room_tgt  : $n sweeps $N across the dancefloor! How romantic!
+   min_pos      : standing
+   max_pos      : standing
+   -
+   cmds         : snicker
+   to_char_notgt: You snicker softly.
+   to_room_notgt: $n snickers softly.
+   to_char_tgt  : You snicker at $N.
+   to_vict_tgt  : $n snickers at you.
+   to_room_tgt  : $n snickers at $N.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : smile
+   to_char_notgt: You smile happily.
+   to_room_notgt: A happy smile forms on $n's face.
+   to_char_self : You smile privately with yourself.
+   to_room_self : $n gets a faint hint of a smile on $s face.
+   to_char_tgt  : You smile happily at $N.
+   to_vict_tgt  : $n smiles happily at you.
+   to_room_tgt  : $n smiles happily at $N.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : ruffle
+   to_char_notgt: Who are you trying to ruffle?
+   to_char_self : You mess up your hair.
+   to_room_self : $n makes $s hair all messy.
+   to_char_tgt  : You playfully ruffle $N's hair.
+   to_vict_tgt  : $n playfully ruffles your hair.
+   to_room_tgt  : $n playfully ruffles $N's hair.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : grin
+   to_char_notgt: You grin evilly.
+   to_room_notgt: $n grins evilly.
+   to_char_tgt  : You flash $N an evil grin.
+   to_vict_tgt  : $n flashes you an evil grin.
+   to_room_tgt  : $n flashes $N an evil grin.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : jig
+   to_char_notgt: You do a little jig.
+   to_room_notgt: $n performs a little jig.
+   to_char_tgt  : To jig with another is not to jig at all.
+   min_pos      : standing
+   max_pos      : standing
+   -
+   cmds         : wiggle
+   to_char_notgt: You wiggle your bottom.
+   to_room_notgt: $n wiggles $s bottom.
+   to_char_tgt  : You wiggle your bottom at $N.
+   to_vict_tgt  : $n wiggles $s bottom at you.
+   to_room_tgt  : $n wiggles $s bottom at $N.
+   min_pos      : standing
+   max_pos      : flying
+   -
+   cmds         : tip
+   to_char_notgt: You gallantly tip your hat.
+   to_room_notgt: $n gallantly tips his hat.
+   to_char_tgt  : You gallantly tip your hat towards $N.
+   to_vict_tgt  : $n gallantly tips $s hat in your direction.
+   to_room_tgt  : $n gallantly tips $s hat in $N's direction.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : tackle
+   to_char_notgt: You jump up into the air and tackle... who?
+   to_room_notgt: $n jumps wildly into the air and... falls flat on $s face.
+   to_char_self : Pow! You knock yourself to the ground! I bet you didn't see that one coming, eh?
+   to_room_self : $n suddenly wraps $s arms around $mself, and heaves $mself to the ground.
+   to_char_tgt  : You playfully tackle $n, and you both go rolling to the ground.
+   to_vict_tgt  : $n playfully tackles you, and you both go rolling to the ground.
+   to_room_tgt  : $n playfully tackles $N, and they both go rolling to the ground.
+   min_pos      : standing
+   max_pos      : flying
+   -
+   cmds         : giggle
+   to_char_notgt: You let out a giggle.
+   to_room_notgt: $n lets out a giggle.
+   to_char_self : It was funny, wasn't it?
+   to_room_self : $n shares a little giggle with $mself.
+   to_char_tgt  : $E is funny, isn't $E?
+   to_vict_tgt  : $n giggles at you.
+   to_room_tgt  : $n giggles at $N.
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : laugh, lol
+   to_char_notgt: You give out a loud, hearty laugh.
+   to_room_notgt: A loud, hearty laugh bursts from $n's mouth.
+   to_char_self : It was funny, wasn't it?
+   to_room_self : $n seems to be having a private laugh with $mself.
+   to_char_tgt  : You burst out laughing at $N.
+   to_vict_tgt  : $n bursts out laughing at you!
+   to_room_tgt  : $n bursts out laughing at $N!
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : faint
+   to_char_notgt: You suddenly feel very lightheaded.
+   to_room_notgt: $n suddenly goes very pale, and faints!
+   min_pos      : sitting
+   max_pos      : flying
+   -
+   cmds         : tango
+   to_char_notgt: But it takes two to tango!
+   to_char_self : You passionately grab your left hand in your right hand, and dance seductively with yourself. 
+   to_room_self : $n passionately grabs $s left hand with $s right hand, and dances seductively with $mself. How bizarre.
+   to_char_tgt  : You pull $N up close to you, and perform a seductive tango.
+   to_vict_tgt  : $n pulls you up close to $m, and dances a seductive tango with you.
+   to_room_tgt  : $n pulls $N up close to $m and dances a seductive tango.
+   min_pos      : standing
+   max_pos      : standing
+   -
+ -
diff -crN nakedmudv1.0/lib/misc/time nakedmudv1.4/lib/misc/time
*** nakedmudv1.0/lib/misc/time	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/lib/misc/time	2010-11-01 15:54:17.000000000 -0500
***************
*** 1 ****
--- 1,6 ----
+ hour        : 20
+ day_of_week : 2
+ day_of_month: 2
+ month       : 1
+ year        : 0
  -
diff -crN nakedmudv1.0/lib/txt/greeting nakedmudv1.4/lib/txt/greeting
*** nakedmudv1.0/lib/txt/greeting	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/lib/txt/greeting	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,10 ----
+ {n
+                     NakedMud(tm), content-less MUD engine.
+ 
+                                   Created By
+                                  Geoff Hollis
+                               hollis@ualberta.ca
+ 
+                           Based on SocketMud(tm) by
+                                Brian Graversen
+ 
diff -crN nakedmudv1.0/lib/txt/motd nakedmudv1.4/lib/txt/motd
*** nakedmudv1.0/lib/txt/motd	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/lib/txt/motd	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,12 ----
+ Welcome to NakedMud(tm)
+ 
+ Glad you could get it up and running! Zone 100 is a proof of concept
+ for the various building utilities, such as dialogs, scripts, and zone
+ reset commands. Look around, and try HELP OLC if you are wanting to
+ look at anything in detail.
+ 
+ Comments, questions, and concerns should be addressed to:
+ Geoff Hollis
+ hollis@ualberta.ca
+ http://www.ualberta.ca/~hollis/
+ 
diff -crN nakedmudv1.0/lib/world/1/mobs nakedmudv1.4/lib/world/1/mobs
*** nakedmudv1.0/lib/world/1/mobs	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/lib/world/1/mobs	2010-11-01 15:54:17.000000000 -0500
***************
*** 15,21 ****
    race      : 0
    dialog    : 100
    auxiliary :-
!     script_aux_data:-
        scripts:=
          vnum: 140
          -
--- 15,43 ----
    race      : 0
    dialog    : 100
    auxiliary :-
!     stat_data        :-
!       health          : 5
!       curr_health     : 5
!       endurance       : 5
!       curr_endurance  : 0
!       power           : 5
!       curr_power      : 0
!       balance         : 5
!       curr_balance    : 0
!       courage         : 5
!       curr_courage    : 0
!       speed           : 5
!       curr_speed      : 0
!       control         : 5
!       curr_control    : 0
!       awareness       : 5
!       curr_awareness  : 0
!       personality     : 5
!       curr_personality: 0
!       luck            : 5
!       curr_luck       : 0
!       -
!     script_aux_data  :-
        scripts:=
          vnum: 140
          -
***************
*** 38,44 ****
    race      : 0
    dialog    : 101
    auxiliary :-
!     script_aux_data:-
        scripts:=
          vnum: 151
          -
--- 60,88 ----
    race      : 0
    dialog    : 101
    auxiliary :-
!     stat_data        :-
!       health          : 5
!       curr_health     : 5
!       endurance       : 5
!       curr_endurance  : 0
!       power           : 5
!       curr_power      : 0
!       balance         : 5
!       curr_balance    : 0
!       courage         : 5
!       curr_courage    : 0
!       speed           : 5
!       curr_speed      : 0
!       control         : 5
!       curr_control    : 0
!       awareness       : 5
!       curr_awareness  : 0
!       personality     : 5
!       curr_personality: 0
!       luck            : 5
!       curr_luck       : 0
!       -
!     script_aux_data  :-
        scripts:=
          vnum: 151
          -
***************
*** 60,65 ****
--- 104,133 ----
    sex       : 0
    race      : 0
    dialog    : 102
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       endurance       : 5
+       curr_endurance  : 0
+       power           : 5
+       curr_power      : 0
+       balance         : 5
+       curr_balance    : 0
+       courage         : 5
+       curr_courage    : 0
+       speed           : 5
+       curr_speed      : 0
+       control         : 5
+       curr_control    : 0
+       awareness       : 5
+       curr_awareness  : 0
+       personality     : 5
+       curr_personality: 0
+       luck            : 5
+       curr_luck       : 0
+       -
+     -
    -
    vnum      : 130
    name      : a barfly
***************
*** 77,81 ****
--- 145,173 ----
    sex       : 0
    race      : 0
    dialog    : -1
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       endurance       : 5
+       curr_endurance  : 0
+       power           : 5
+       curr_power      : 0
+       balance         : 5
+       curr_balance    : 0
+       courage         : 5
+       curr_courage    : 0
+       speed           : 5
+       curr_speed      : 0
+       control         : 5
+       curr_control    : 0
+       awareness       : 5
+       curr_awareness  : 0
+       personality     : 5
+       curr_personality: 0
+       luck            : 5
+       curr_luck       : 0
+       -
+     -
    -
  -
diff -crN nakedmudv1.0/lib/world/1/objs nakedmudv1.4/lib/world/1/objs
*** nakedmudv1.0/lib/world/1/objs	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/lib/world/1/objs	2010-11-01 15:54:17.000000000 -0500
***************
*** 56,62 ****
      the ground, and has a few chairs seated around it.  It looks like it 
      could seat about four or five people at it.
    multiname : %d wooden tables
!   multirdesc: There are %d empty tables scattered around here.
    bits      : a
    -
    vnum      : 130
--- 56,62 ----
      the ground, and has a few chairs seated around it.  It looks like it 
      could seat about four or five people at it.
    multiname : %d wooden tables
!   multirdesc: There are %d empty tables scattered around.
    bits      : a
    -
    vnum      : 130
diff -crN nakedmudv1.0/lib/world/1/scripts nakedmudv1.4/lib/world/1/scripts
*** nakedmudv1.0/lib/world/1/scripts	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/lib/world/1/scripts	2010-11-01 15:54:17.000000000 -0500
***************
*** 162,167 ****
--- 162,179 ----
      if obj != None and ch.on == None and obj.vnum == 130:
        me.act("delay 1 say what can I get for you? If you'd like to know what we have on tap, please ask")
    -
+   vnum: 196
+   type: 1
+   narg: 0
+   name: depth check
+   args: check
+   code:~
+     # Scripts will sometimes trigger off of eachother, sending us into an
+     # infinite loop. As of version 1.1, we have added a "depth check" in to
+     # prevent such problems from arising. This is just a check to make sure
+     # that the depth check is working properly
+     me.act("say check")
+   -
    vnum: 197
    type: 4
    narg: 0
diff -crN nakedmudv1.0/src/action.c nakedmudv1.4/src/action.c
*** nakedmudv1.0/src/action.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/action.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 111,117 ****
  
    // add in our example delayed action
    add_cmd("dsay", NULL, cmd_dsay, 0, POS_SITTING, POS_FLYING, 
! 	  LEVEL_ADMIN, FALSE);
  }
  
  void interrupt_action(void *ch, bitvector_t where) {
--- 111,139 ----
  
    // add in our example delayed action
    add_cmd("dsay", NULL, cmd_dsay, 0, POS_SITTING, POS_FLYING, 
! 	  LEVEL_ADMIN, TRUE, FALSE);
! }
! 
! bool is_acting(void *ch, bitvector_t where) {
!   LIST *actions = mapGet(actors, ch);
!   if(actions == NULL || listSize(actions) == 0)
!     return FALSE;
! 
!   bool action_found    = FALSE;
!   LIST_ITERATOR *act_i = newListIterator(actions);
!   ACTION_DATA  *action = NULL;
! 
!   // iterate across all of our current actions and see if any
!   // involve the faculties of "where"
!   ITERATE_LIST(action, act_i) {
!     if(IS_SET(action->where, where)) {
!       action_found = TRUE;
!       break;
!     }
!   }
!   deleteListIterator(act_i);
! 
!   return action_found;
  }
  
  void interrupt_action(void *ch, bitvector_t where) {
***************
*** 125,138 ****
      LIST_ITERATOR *act_i = newListIterator(actions);
      ACTION_DATA *action  = NULL;
  
!     // we can't use ITERATE_LIST here because we are possibly
!     // removing the current element while we are on it, which
!     // makes it kinda hard to move onto the next element afterwards ;)
!     while((action = listIteratorCurrent(act_i)) != NULL) {
!       listIteratorNext(act_i);
! 
        // check to see if we've found an action that needs interruption
!       if(IS_SET(where, action->where)) {
  	if(action->on_interrupt)
  	  action->on_interrupt(ch, action->data, action->where, action->arg);
  	listRemove(actions, action);
--- 147,155 ----
      LIST_ITERATOR *act_i = newListIterator(actions);
      ACTION_DATA *action  = NULL;
  
!     ITERATE_LIST(action, act_i) {
        // check to see if we've found an action that needs interruption
!       if(IS_SET(action->where, where)) {
  	if(action->on_interrupt)
  	  action->on_interrupt(ch, action->data, action->where, action->arg);
  	listRemove(actions, action);
***************
*** 186,196 ****
      if(listSize(actions) > 0) {
        act_i = newListIterator(actions);
  
!       // we can't use ITERATE_LIST here because we are possibly
!       // removing the current element while we are on it, which
!       // makes it kinda hard to move onto the next element afterwards ;)
!       while((action = listIteratorCurrent(act_i)) != NULL) {
! 	listIteratorNext(act_i);
  	// decrement the delay
  	action->delay -= time;
  	// pop the action from the list, and run it
--- 203,209 ----
      if(listSize(actions) > 0) {
        act_i = newListIterator(actions);
  
!       ITERATE_LIST(action, act_i) {
  	// decrement the delay
  	action->delay -= time;
  	// pop the action from the list, and run it
diff -crN nakedmudv1.0/src/action.h nakedmudv1.4/src/action.h
*** nakedmudv1.0/src/action.h	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/action.h	2010-11-01 15:54:18.000000000 -0500
***************
*** 36,41 ****
--- 36,48 ----
  
  
  //
+ // Returns TRUE if the character is performing an action with "where". If
+ // the faculty module is not installed, "where" should be 1.
+ //
+ bool is_acting(void *ch, bitvector_t where);
+ 
+ 
+ //
  // Start a character performing an action. If the delay reaches 0, on_complete
  // is run. If the action is terminated prematurely, on_interrupt is run.
  //
